#
# spec file for package susemanager
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           susemanager
Version:        1.2.0
Release:        1.3
Summary:        SUSE Manager specific scripts
Group:          Applications/System
License:        GPL v2 only
Url:            http://www.novell.com
Source0:        susemanager-git-43787890082514f30ef83a793f50b0505d2d1e42.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildArch:      noarch
BuildRequires:  python-devel
PreReq:         %fillup_prereq %insserv_prereq
Requires:       dialog
Requires:       spacewalk-setup spacewalk-admin cobbler spacewalk-schema
Requires:       rsync less
Requires:       susemanager-tools
# needed for sqlplus
Requires:       oracle-xe-univ
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global pythonsmroot %{python_sitelib}/spacewalk

%description
A collection of scripts for managing SUSE Manager's initial setup
tasks, re-installation, upgrades and managing.



%package tools
License:        GPL v2 only
Summary:        SUSE Manager Tools
Group:          Productivity/Other
Requires:       suseRegisterInfo
Requires:       sm-ncc-sync-data
Requires:       spacewalk-backend spacewalk-backend-sql
Requires:       python

%description tools
This package contains SUSE Manager tools



%prep
%setup -q -n susemanager-git-43787890082514f30ef83a793f50b0505d2d1e42

%build
make -C sm-register all
make -C ncc-sync all

%install
mkdir -p %{buildroot}/%{_prefix}/lib/susemanager/bin/
install -m 0755 bin/*.sh %{buildroot}/%{_prefix}/lib/susemanager/bin/

mkdir -p %{buildroot}/%{_sysconfdir}/rhn/default/
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services
mkdir -p %{buildroot}/%{_sysconfdir}/init.d
install -m 0644 rhn-conf/rhn_server_susemanager.conf %{buildroot}/%{_sysconfdir}/rhn/default/
install -m 0644 etc/sysconfig/SuSEfirewall2.d/services/suse-manager-server %{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/
install -m 755 etc/init.d/susemanager %{buildroot}/%{_sysconfdir}/init.d
make -C sm-register install PREFIX=$RPM_BUILD_ROOT
make -C ncc-sync install PREFIX=$RPM_BUILD_ROOT
mkdir -p %{buildroot}/%{_sbindir}/
install -m 0755 sm-register/mgr-register.py %{buildroot}/%{_sbindir}/mgr-register
install -m 0755 ncc-sync/mgr-ncc-sync.py %{buildroot}/%{_sbindir}/mgr-ncc-sync

# YaST configuration
mkdir -p %{buildroot}%{_datadir}/YaST2/clients
mkdir -p %{buildroot}/etc/YaST2
install -m 0644 yast/*.ycp %{buildroot}%{_datadir}/YaST2/clients
install -m 0644 yast/firstboot-susemanager.xml %{buildroot}/etc/YaST2

%clean
rm -rf %{buildroot}

%post
%{fillup_and_insserv susemanager}
if [ -f /etc/sysconfig/atftpd ]; then
  . /etc/sysconfig/atftpd
  if [ $ATFTPD_DIRECTORY = "/tftpboot" ]; then
    sysconf_addword -r /etc/sysconfig/atftpd ATFTPD_DIRECTORY "/tftpboot"
    sysconf_addword /etc/sysconfig/atftpd ATFTPD_DIRECTORY "/srv/tftpboot"
    mkdir -p /srv/tftpboot
  fi
fi

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root,-)
%doc doc/* Changes license.txt
%dir %{_prefix}/lib/susemanager
%dir %{_prefix}/lib/susemanager/bin/
%dir /etc/YaST2
%dir %{_datadir}/YaST2
%dir %{_datadir}/YaST2/clients
%{_prefix}/lib/susemanager/bin/*
%{_datadir}/YaST2/clients/*.ycp
%config /etc/YaST2/firstboot-susemanager.xml
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/suse-manager-server
%{_sysconfdir}/init.d/susemanager

%files tools
%defattr(-,root,root,-)
%dir %{pythonsmroot}
%dir %{pythonsmroot}/susemanager
%dir %{_sysconfdir}/rhn
%dir %{_sysconfdir}/rhn/default
%config %{_sysconfdir}/rhn/default/rhn_*.conf
%attr(0755,root,root) %{_sbindir}/mgr-register
%attr(0755,root,root) %{_sbindir}/mgr-ncc-sync
%{pythonsmroot}/susemanager/__init__.py*
%{pythonsmroot}/susemanager/suseLib.py*
%{pythonsmroot}/susemanager/mgr_register.py*
%{pythonsmroot}/susemanager/mgr_ncc_sync_lib.py*

%changelog
* Wed Feb 23 2011 iartarisi@suse.cz
- fix database insert integer bug caused by indenting the channels.xml file
* Mon Feb 21 2011 mc@suse.de
- switch message color back to normal
* Mon Feb 21 2011 iartarisi@suse.cz
- move optparser code from the library to the command line client
  (fixes #665444)
* Fri Feb 18 2011 ug@suse.de
- entitlement/subscription counting changed to bnc#670617
* Thu Feb 17 2011 iartarisi@suse.cz
- make rhnproductname.label be channel.product_name instead of channel.label
* Thu Feb 17 2011 ug@suse.de
- removed sysdba where it was not needed (bnc#673023)
* Thu Feb 17 2011 mc@suse.de
- fix changelog
* Wed Feb 16 2011 iartarisi@suse.cz
- populate rhnproductname table and rhnchannel.product_name_id column
  when adding new channels
* Wed Feb 16 2011 iartarisi@suse.cz
- made log messages more understandable when adding channels to the
  SuseProductChannel table
* Wed Feb 16 2011 iartarisi@suse.cz
- added a non_interactive command line option to ncc-sync
* Wed Feb 16 2011 ug@suse.de
- entitlements back to 300
* Wed Feb 16 2011 iartarisi@suse.cz
- insert data into rhnchannelproduct and rhnchannel.channel_product_id row
* Wed Feb 16 2011 dmacvicar@suse.de
- new EULA for firstboot
* Wed Feb 16 2011 ug@suse.de
- reset entities to 0, not to 300 (bnc#670576)
* Wed Feb 16 2011 jsuchome@suse.cz
- fix grammar (bnc#672165)
- added validation for domain and restriction for country
* Mon Feb 14 2011 dmacvicar@suse.de
- move the firstboot workflow from root.tar.bz2 to this package
* Mon Feb 14 2011 mc@suse.de
- print susemanager message during boot on a new line.
* Mon Feb 14 2011 dmacvicar@suse.de
- custom congratulate screen for firstboot (bnc#671213)
* Fri Feb 11 2011 mc@suse.de
- setup swap always if no swap was found (bnc#671194)
* Fri Feb 11 2011 ug@suse.de
- suppress a wrning about a not running cobbler
  (bnc#671205)
* Fri Feb 11 2011 ug@suse.de
- removed the dummy "300" value from virtualization entitlement
  (bnc#671167)
* Fri Feb 11 2011 mc@suse.de
- fix description in firewall service template (bnc#671260)
* Fri Feb 11 2011 mc@suse.de
- fixing mgr-register virtual check (bnc#671233)
* Fri Feb 11 2011 ug@suse.de
- disbaled channel subscription counting (bnc#670551)
* Fri Feb 11 2011 dmacvicar@suse.de
- add final EULA (bnc#671189) in firstboot
* Fri Feb 11 2011 mc@suse.de
- do not ignore user/password values (bnc#671195)
* Thu Feb 10 2011 mc@suse.de
- change name for default organization (bnc#663983, bnc#651642)
* Thu Feb 10 2011 iartarisi@suse.cz
- add warning and confirmation when adding a new channel with mgr-ncc-sync
* Tue Feb  8 2011 iartarisi@suse.cz
- sync optional status of channels on subsequent runs of mgr-ncc-sync
* Tue Feb  8 2011 mc@suse.de
- provide init script which display a message what to do next
  (bnc#669485)
* Mon Feb  7 2011 iartarisi@suse.cz
- split long output message on two lines in ncc-sync
- fix typo in method name
* Mon Feb  7 2011 iartarisi@suse.cz
- map multiple channels with the same source_url to the same contentsource
* Fri Feb  4 2011 mc@suse.de
- build ncc-data package with own specfile
* Fri Feb  4 2011 mc@suse.de
- create seperate channels for rhel4 as and es (bnc#669466)
- do not create contentsource if no URL is available
* Thu Feb  3 2011 mc@suse.de
- add SuSEfirewall config for service suse-manager-server
  (bnc#664560)
* Thu Feb  3 2011 dmacvicar@suse.de
- Don't warn of missing memory when there is enough bnc#667856
* Thu Feb  3 2011 dmacvicar@suse.de
- add welcome.txt
* Wed Feb  2 2011 iartarisi@suse.cz
- channels now map 1:1 to repositories
* Tue Feb  1 2011 dmacvicar@suse.de
- fix typo (bnc#667834)
* Thu Jan 27 2011 mc@suse.de
- NCC needed for migration (bnc#666073#c11)
- fix bnc#665587 - adding channels with different ix86
  architectures should also register all the different
  suseproducts for these channels
- setting the FROM eMail address to something useful
* Wed Jan 26 2011 dmacvicar@suse.de
- fix ram check dialog workflow error message
- do not cut text out when displaying not enough ram message
* Tue Jan 25 2011 mc@suse.de
- RES repositories do not have signed metadata (bnc#665590)
* Fri Jan 21 2011 mc@suse.de
- set SSL certificate expiration time to 10 years (bnc#643745)
* Wed Jan 19 2011 ug@suse.de
- yast code updated
* Wed Jan 19 2011 iartarisi@suse.cz
- updated channels.xml file: split channels with multiple parents into
  multiple channels
* Tue Jan 18 2011 mc@suse.de
- add YaST directory to filelist
* Tue Jan 18 2011 iartarisi@suse.cz
- fixed an error when adding new channels after changing an
  RhnContentSourceTypeId
* Tue Jan 18 2011 dmacvicar@suse.de
- add YaST2 dialogs
* Mon Jan 17 2011 mc@suse.de
- rename sm-register to mgr-register
- rename sm-ncc-sync to mgr-ncc-sync
* Mon Jan 17 2011 mc@suse.de
- change suseServer ostarget to a foreign key to suseOSTarget(id)
* Mon Jan 17 2011 mc@suse.de
- update channel information
* Fri Jan 14 2011 mc@suse.de
- added entitlement handling
- put the license in a firtboot usable format
- subscribe channels according to submitted suse product data
- Populate suseproductchannel table with product-channel mappings
- added test for subscription calculation
* Tue Jan 11 2011 mc@suse.de
- syncing NCC with SUSE Manager
- Installation: Character Limitations of NCC Password (bnc#658467)
- lots of fixes
* Thu Dec  9 2010 ma@suse.de
- Version 1.2
* Thu Dec  9 2010 ma@suse.de
- Make suseRegisterInfo a separate package.
* Wed Dec  8 2010 ma@suse.de
- Let suseRegisterInfo also provide suse_register_info output parser.
* Tue Nov 16 2010 mantel@suse.de
- fix hostname for postfix
* Mon Nov 15 2010 mantel@suse.de
- setup additional swap if there is not enough memory
* Wed Nov 10 2010 mantel@suse.de
- make buildservice happy
* Wed Nov 10 2010 mantel@suse.de
- call susemanager_firstboot from /etc/init.d/boot.local
* Tue Nov  9 2010 mantel@suse.de
- spec file cleanup
* Tue Nov  9 2010 mantel@suse.de
- script needs to run during boot, not when entering runlevel
* Tue Nov  9 2010 mantel@suse.de
- stty terminal before displaying license files
* Tue Nov  9 2010 mantel@suse.de
- add final beta EULA
- Oracle EULA must be displayed _after_ Novell EULA
* Tue Nov  9 2010 mantel@suse.de
- fix filelist
* Tue Nov  9 2010 mantel@suse.de
- make user accept licenses on first boot. If at least one license
  is declined, halt system.
* Mon Nov  8 2010 mc@suse.de
- Initial release of susemanager
